Bug 212188 - Evolution freezes when accessing a set of IMAP accounts
Summary: Evolution freezes when accessing a set of IMAP accounts
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution   
(Show other bugs)
Version: 6
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-25 15:39 UTC by Matěj Cepl
Modified: 2018-04-11 12:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-27 15:46:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of evolution 2>&1 | tee evolution-dbg.txt (125.06 KB, text/plain)
2006-10-25 15:40 UTC, Matěj Cepl
no flags Details

Description Matěj Cepl 2006-10-25 15:39:50 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.13) Gecko/20060501 Epiphany/2.14

Description of problem:
When starting evoltution it always froze with my two IMAP accounts opened (one local and one IMAPS for work). When starting with --offline evolutino starts correctly, but then freezes when online/offline status is changed. When I rm -rf .evolution/mail/{config,imap,views} things work correctly again. Attached is output to stderr/stdout when evolution got frozen.

Version-Release number of selected component (if applicable):
evolution-2.6.3-1.fc5.5

How reproducible:
Always


Steps to Reproduce:
I am afraid it is reproducible only with the particular state of my ~/.evolution folder.
1.Start evolution or when evolution is started with --offline, switch to online state
2.
3.

Actual Results:
Evolution freezes (no crash)

Expected Results:
Evolution should connected with IMAP servers, and make all tasks necessary for further work (checking new emails, filtering accounts, etc.)

Additional info:

Comment 1 Matěj Cepl 2006-10-25 15:40:54 UTC
Created attachment 139356 [details]
output of evolution 2>&1 | tee evolution-dbg.txt

Comment 2 Matthew Barnes 2006-10-25 16:35:39 UTC
Thanks for the bug report.

As of yesterday, Evolution 2.6 in Fedora Core 5 is no longer supported.
Can you please try again with Evolution 2.8 in Fedora Core 6?

Comment 3 Matěj Cepl 2006-10-26 07:34:43 UTC
OK, this is a nice trick (I have to learn it for my own bugs ;-))! No, as I said
after I removed some directories in ~/.evolution it is not reproducible for me
anyway. I just thought that you may be interested in the backtrace in the
logfile I attached.

Comment 4 Matěj Cepl 2007-06-27 14:50:28 UTC
This should be closed, right? (not that Evolution would be fixed, but I have
certainly no FC5 anymore, and FC5 is EOLed).

Comment 5 Matthew Barnes 2007-06-27 15:06:39 UTC
If you're not seeing this freeze in Fedora 7 (bug #245289 aside), then yeah
please close it as WORKSFORME or whatever resolution is most appropriate.

Comment 6 Matěj Cepl 2007-06-27 15:46:30 UTC
Yeah, I think this one was caused by mail-notification plugin -- when I switched
it off, things begun to work again.


Note You need to log in before you can comment on or make changes to this bug.